osgearth (2.8~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patches.
  * Update symbols for other architectures.
  * Enable protobuf support.
  * Drop obsolete undefined-reference-to-symbol-XInitThreads.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Sep 2016 21:54:30 +0200

osgearth (2.8~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update Files-Excluded for osgEarth 2.8rc1.
  * Update copyright file, changes:
    - Update copyright years for Pelican Mapping & Duktape authors
    - Add license & copyright for NL Template
    - Rename MIT license shortname to Expat
  * Refresh patches.
  * Drop obsolete libminizip-dev build dependency.
  * Update openscenegraph dependencies to require version 3.4.
  * Add -DBUILD_OSGEARTH_EXAMPLES=0 to configure to not build examples.
  * Add libosgearthsplat5 package for libosgEarthSplat.
  * Update README filename in docs files.
  * Override dh_installchangelogs to install releasenotes.rst as changelog.
  * Add OSGEARTH_USE_QT CMake option to build osgEarthQt library.
  * Update Qt dependencies for Qt5 as used by OpenSceneGraph.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 22:58:38 +0200

osgearth (2.7.0+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 17:11:33 +0200

osgearth (2.7.0+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Mar 2016 22:58:29 +0100

osgearth (2.7.0+dfsg-1~exp6) experimental; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Fix spelling error in copyright file.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Mar 2016 22:38:55 +0100

osgearth (2.7.0+dfsg-1~exp5) experimental; urgency=medium

  * Update symbols for other architectures.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Oct 2015 21:04:38 +0200

osgearth (2.7.0+dfsg-1~exp4) experimental; urgency=medium

  * Update symbols for other architectures.
  * Rebuild for openscenegraph transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 19:56:44 +0200

osgearth (2.7.0+dfsg-1~exp3) experimental; urgency=medium

  * Use -DCMAKE_VERBOSE_MAKEFILE=1 instead of passing MAKE_VERBOSE.
  * Use dh_auto_* instead of manual make commands.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Aug 2015 23:02:37 +0200

osgearth (2.7.0+dfsg-1~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jul 2015 17:11:31 +0200

osgearth (2.7.0+dfsg-1~exp1) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Update watch file, add repacksuffix option, handle other tar extensions.
  * Update Files-Excluded for osgEarth 2.7.
  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years for Pelican Mapping
    - Add license & copyright for fastdxt, rapidxml & splat files
  * Refresh patches.
  * Update symbols for amd64.
  * Bump SOVERSION to 5.
  * Don't install osgearth_cache_test, osgearth_createtile &
    osgearth_pick example binaries.
  * Drop libkml-dev build dependency, replace with libminizip-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 21:34:11 +0200

osgearth (2.6.0+dfsg-1~exp3) experimental; urgency=medium

  * Add patch to fix "undefined reference to symbol 'XInitThreads'" FTBFS.
  * Update copyright file, changes:
    - Add email address for Upstream-Contact
    - Group copyright statements by license
    - Fix LGPL version 3 or later shortname
    - Add license header to copyright comment

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 May 2015 21:43:05 +0200

osgearth (2.6.0+dfsg-1~exp2) experimental; urgency=medium

  * Add upstream metadata.
  * Apply patch by Reiner Herrmann to make build reproducible by setting the
    date embedded in man pages. (closes: #783026)
  * Update symbols for other architectures.
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Apr 2015 22:00:51 +0200

osgearth (2.6.0+dfsg-1~exp1) experimental; urgency=medium

  * Update watch file to also report pre-releases.
  * Update Files-Excluded for osgEarth 2.6.
  * Update copyright file.
  * Add patch bumping the version to 2.6.0 for CMake build.
  * Drop lintian overrides for no-upstream-changelog,
    shouldn't override pedantic tags.
  * Bump SOVERSION to 4.
  * Add man pages for new executables.
  * Don't install new demo applications.
  * Update symbols for amd64.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 26 Oct 2014 16:44:11 +0100

osgearth (2.5.0+dfsg-6) unstable; urgency=medium

  * Update symbols for other architectures.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 12:10:41 +0200

osgearth (2.5.0+dfsg-5) unstable; urgency=medium

  * Use -DCMAKE_VERBOSE_MAKEFILE=1 instead of passing MAKE_VERBOSE.
  * Update symbols for amd64.
  * Use dh_auto_* instead of manual make commands.
  * Add lintian override for 'meant' spelling error false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Aug 2015 20:56:15 +0200

osgearth (2.5.0+dfsg-4) unstable; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Drop libkml-dev build dependency, replace with libminizip-dev.
  * Update watch file, add repacksuffix option, handle other tar extensions.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 23:28:09 +0200

osgearth (2.5.0+dfsg-3) unstable; urgency=medium

  * Update my email to use @debian.org address.
  * Update branch in gbp.conf and Vcs-Git URL.
  * Add patch to fix "undefined reference to symbol 'XInitThreads'" FTBFS.
  * Update watch file to also report pre-releases.
  * Drop lintian overrides for no-upstream-changelog,
    shouldn't override pedantic tags.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add upstream metadata.
  * Apply patch by Reiner Herrmann to make build reproducible by setting the
    date embedded in man pages. (closes: #783026)
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update copyright file, changes:
    - Add email address for Upstream-Contact
    - Update Source URL for GitHub releases
    - Group copyright statements by license
    - Fix LGPL version 3 or later shortname
    - Add license header to copyright comment

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 May 2015 20:58:28 +0200

osgearth (2.5.0+dfsg-2) unstable; urgency=low

  * Drop libv8-dev build dependency, not available on all architectures and has
    a worrisome security status.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 22 Mar 2014 13:11:27 +0100

osgearth (2.5.0+dfsg-1) unstable; urgency=low

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 18 Mar 2014 00:19:23 +0100

osgearth (2.5.0+dfsg-1~exp1) experimental; urgency=low

  * Don't use git-pbuilder by default in gpb.conf.
  * Update symbols for armel, armhf, kfreebsd-amd64, kfreebsd-i386 & mipsel.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 01 Mar 2014 13:06:06 +0100

osgearth (2.5.0+dfsg-0~exp1) experimental; urgency=low

  * New upstream release.
  * Repack orig tarball with XZ compression.
  * Update Files-Excluded for osgEarth 2.5.
  * Add build dependencies on libv8-dev and libnoise-dev.
  * Refresh soversion.patch, bump SOVERSION to 3.
  * Enable KMZ support with libminizip from libkml.
  * Drop MPGeometry-OpenSceneGraph-3.1.8.patch, included in upstream.
  * Drop becuase-typo.patch, applied upstream.
  * Refresh cmake-FindMiniZip.patch.
  * Add manpage for osgearth_tileindex, osgearth_terraineffects,
    osgearth_sharedlayer & osgearth_demo.
  * Add gbp.conf to use pristine-tar and git-pbuilder by default.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 26 Jan 2014 01:56:28 +0100

osgearth (2.4.0+dfsg-6) unstable; urgency=low

  * Fix watch file, don't strip .0 from debian version.
  * Batchpatch the symbols files with recent build logs.
  * Add patch to fix FTBFS on kfreebsd-*, use pthread_self instead of gettid.
    Thanks Steven Chamberlain for the patch.
    (closes: #725383)
  * Add patch to use thr_self syscall on kFreeBSD.
    Thanks Petr Salinger, Robert Millan and Ed Maste for the advice.
  * Add patch to support libminizip as installed by the libkml package, but
    don't include KMZ support yet. 
  * Change priority to optional.
  * Remove -1 from libkml build dependency version.
  * Update tinyxml lintian override to not be osgearth version specific.
  * Dump Standards-Version to 3.9.5, no changes required.
  * Update libgdal-dev build dependency.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 16 Jan 2014 21:14:30 +0100

osgearth (2.4.0+dfsg-5) unstable; urgency=low

  [ Bas Couwenberg ]
  * Add versioned Breaks/Replaces for libosgearth2.
  * Drop transitional package libosgearth1.
    (closes: #723980)

  [ Aron Xu ]
  * Allow parallel building.

 -- Aron Xu <aron@debian.org>  Mon, 23 Sep 2013 02:51:33 +0800

osgearth (2.4.0+dfsg-4) unstable; urgency=low

  * Upload for Debian closes: #718382, #719376, #722408.
  * Add patch to support adapt MPGeometry to support OpenSceneGraph 3.1.8.
  * Remove duplicate section from binary package osgearth-data.
  * Use canonical URLs for Vcs-* fields.
  * Add DEP3 headers to soversion.patch.
  * Add patch to fix 'becuase' typo.
  * Use minimal dh rules with debhelper 9.
  * Include all executables in osgearth.
  * Split osgearth library into separate binary packages:
    - libosgearth2:                   libosgEarth.so
    - libosgearthannotation2:         libosgEarthAnnotation.so
    - libosgearthfeatures2:           libosgEarthFeatures.so
    - libosgearthqt2:                 libosgEarthQt.so
    - libosgearthsymbology2:          libosgEarthSymbology.so
    - libosgearthutil2:               libosgEarthUtil.so
    - openscenegraph-plugin-osgearth: OpenSceneGraph plugins
  * Add symbols files using pkgkde-gensymbols and pkgkde-symbolshelper
    for their better C++ support.
  * Update copyright using DEP5 format.
  * Bump Standards-Version to 3.9.4; changes to copyright, shared libraries,
    Vcs-* fields.
  * Add man page for osgEarth tools:
    - osgearth_viewer
    - osgearth_version
    - osgearth_cache
    - osgearth_package
    - osgearth_tfs
    - osgearth_backfill
    - osgearth_boundarygen
    - osgearth_overlayviewer
  * Don't install binaries which depend on removed data files, nor example
    binaries.
  * Include data/resources/ in package osgearth-data.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 13 Sep 2013 15:14:27 +0200

osgearth (2.4.0+dfsg-3~ubuntu1) unstable; urgency=low

  * Missing dependency libqt4-opengl-dev

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 11 Jul 2013 07:46:29 +0200

osgearth (2.4.0+dfsg-2~ubuntu1) unstable; urgency=low

  * Build-Depends for osgEarthQt

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Wed, 10 Jul 2013 23:40:29 +0200

osgearth (2.4.0+dfsg-1~ubuntu1) unstable; urgency=low

  * Upstream release 2.4.0

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Tue, 09 Jul 2013 22:31:06 +0200

osgearth (2.1.1+dfsg-1~ubuntu1) unstable; urgency=low

  * Upstream release 2.1.1

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Wed, 30 Nov 2011 22:27:40 +0100

osgearth (2.0-4) unstable; urgency=low

  * Changed maintainer to Debian GIS Project
  * Added package osgearth-data
  * Renamed osgearth-dev to libosgearth-dev
  * Removed binaries from libosgearth-dev
  * Moved to sections devel/libs/libdevel
  * Fixed detection of OpenSceneGraph 3.0.0
  * Patch for obsolete Curl header
  * Enhanced package descriptions
  * Standards-Version 3.9.2
  * Added source/format 3.0 (quilt)
  * Ready for Debian upload (closes: #633068)

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Wed, 03 Aug 2011 21:40:46 +0200

osgearth (2.0-3~ubuntu1) unstable; urgency=low

  * GDAL 1.8 support

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 09 May 2011 21:32:01 +0200

osgearth (2.0-2~ubuntu1) unstable; urgency=low

  * Missing libraries added (*.so.2.0.0)
  * lintian patch-system-but-no-source-readme fixed

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Tue, 01 Mar 2011 00:27:42 +0100

osgearth (2.0-1~ubuntu1) unstable; urgency=low

  * Upstream release 2.0
  * Moved sample applications to osgearth-dev

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 28 Feb 2011 23:17:11 +0100

osgearth (2.0~rc4-1~ubuntu1) unstable; urgency=low

  * Upstream master branch 11.2.11

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sat, 12 Feb 2011 21:10:13 +0100

osgearth (1.4.1-2~ubuntu1) unstable; urgency=low

  * Lintian fixes

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Fri, 22 Oct 2010 00:50:18 +0200

osgearth (1.4.1-1~ubuntu1) lucid; urgency=low

  * Upstream release 1.4.1

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sun, 10 Oct 2010 22:16:24 +0200

osgearth (1.4-6~ubuntu1) lucid; urgency=low

  * Backport of fix for some Intel graphic cards

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 02 Sep 2010 21:36:07 +0200

osgearth (1.4-5~ubuntu1) lucid; urgency=low

  * geopole.earth added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 22:09:29 +0200

osgearth (1.4-4~ubuntu1) lucid; urgency=low

  * Build dependency fix

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 21:48:05 +0200

osgearth (1.4-3~ubuntu1) lucid; urgency=low

  * Package fix

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 16:24:19 +0200

osgearth (1.4-2~ubuntu1) lucid; urgency=low

  * libosgearth1 package added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 14:37:20 +0200

osgearth (1.4-1~ubuntu1) lucid; urgency=low

  * New upstream release

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 10:21:31 +0200

osgearth (1.3-4~ubuntu1) lucid; urgency=low

  * Update to libgdal 1.7

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 31 May 2010 00:03:43 +0200

osgearth (1.3-3~ubuntu1) karmic; urgency=low

  * osgearth-dev package added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sun, 07 Feb 2010 01:29:04 +0100

osgearth (1.3-2~ubuntu1) karmic; urgency=low

  * Replaced ttf-mscorefonts by ttf-liberation

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sat, 06 Feb 2010 20:30:24 +0100

osgearth (1.3-1~ubuntu1) karmic; urgency=low

  * New upstream release

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 04 Feb 2010 22:44:34 +0100

osgearth (1.3rc1-1~ubuntu1) karmic; urgency=low

  * Initial Debian package release based on SVN tag osgearth_1.3RC1_T2010-01-04.

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 07 Jan 2010 13:31:14 +0100
